Bug 1213281 - Augeas can not parse default /etc/chrony.conf
Summary: Augeas can not parse default /etc/chrony.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: augeas
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Cleal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-20 08:55 UTC by Lingfei Kong
Modified: 2016-05-20 23:51 UTC (History)
11 users (show)

Fixed In Version: augeas-1.5.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-20 23:51:02 UTC
Type: Bug


Attachments (Terms of Use)
/etc/chrony.conf (1.20 KB, text/plain)
2015-04-20 08:55 UTC, Lingfei Kong
no flags Details

Description Lingfei Kong 2015-04-20 08:55:13 UTC
Description of problem:
Augeas can not parse default /etc/chrony.conf


Version-Release number of selected component (if applicable):
augeas-1.3.0-1.fc22.x86_64


How reproducible:
100%


Steps to Reproduce:
1. Install the following packages:
chrony-2.0-0.2.pre1.fc22.x86_64

2. Run command: echo 'print /augeas//error' | augtool
# augtool print /augeas//error


Actual results:
# augtool print /augeas//error
...
/augeas/files/etc/chrony.conf/error = "parse_failed"
/augeas/files/etc/chrony.conf/error/pos = "258"
/augeas/files/etc/chrony.conf/error/line = "6"
/augeas/files/etc/chrony.conf/error/char = "0"
/augeas/files/etc/chrony.conf/error/lens = "/usr/share/augeas/lenses/dist/chrony.aug:258.10-.41:"
/augeas/files/etc/chrony.conf/error/message = "Iterated lens matched less than it should"
...


Expected results:
no errors

Additional info:
The attachment is file /etc/chrony.conf

Comment 1 Lingfei Kong 2015-04-20 08:55:49 UTC
Created attachment 1016267 [details]
/etc/chrony.conf

Comment 2 Richard W.M. Jones 2015-04-20 11:20:59 UTC
Example /etc/chrony.conf from my laptop:

# Use public servers from the pool.ntp.org project.
# Please consider joining the pool (http://www.pool.ntp.org/join.html).
server 0.fedora.pool.ntp.org iburst
server 1.fedora.pool.ntp.org iburst
server 2.fedora.pool.ntp.org iburst
server 3.fedora.pool.ntp.org iburst

# Ignore stratum in source selection.
stratumweight 0

# Record the rate at which the system clock gains/losses time.
driftfile /var/lib/chrony/drift

# Enable kernel RTC synchronization.
rtcsync

# In first three updates step the system clock instead of slew
# if the adjustment is larger than 10 seconds.
makestep 10 3

# Allow NTP client access from local network.
#allow 192.168/16

# Listen for commands only on localhost.
bindcmdaddress 127.0.0.1
bindcmdaddress ::1

# Serve time even if not synchronized to any NTP server.
#local stratum 10

keyfile /etc/chrony.keys

# Specify the key used as password for chronyc.
commandkey 1

# Generate command key if missing.
generatecommandkey

# Disable logging of client accesses.
noclientlog

# Send a message to syslog if a clock adjustment is larger than 0.5 seconds.
logchange 0.5

logdir /var/log/chrony
#log measurements statistics tracking

Comment 3 Dominic Cleal 2015-04-20 11:39:08 UTC
A new 'pool' directive is causing the issue, it's new in chrony 2.0.0 (pre-release is in F22+).  It should be handled in the same way as 'server'.

The NEWS file lists the following other changes:
* Add pool directive to specify pool of NTP servers
* Add leapsecmode directive to select how to correct clock for leap second
* Add smoothtime directive to smooth served time and enable leap smear
* Add minsources directive to set required number of selectable sources
* Add minsamples and maxsamples options for all sources
* Add tempcomp configuration with list of points

Comment 5 Miroslav Lichvar 2015-05-29 08:34:21 UTC
Here is a pull request to update the chrony lens for the new options that appeared in chrony-2.0.

https://github.com/hercules-team/augeas/pull/248

Comment 6 Mike McCune 2016-03-28 22:58:03 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune with any questions

Comment 7 Fedora Update System 2016-05-12 08:11:37 UTC
augeas-1.5.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d219bc220

Comment 8 Fedora Update System 2016-05-12 08:12:21 UTC
augeas-1.5.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6f9ff7cf96

Comment 9 Dominic Cleal 2016-05-12 08:14:01 UTC
This will be addressed in F23 and higher via the above updates.

Comment 10 Fedora Update System 2016-05-12 22:27:05 UTC
augeas-1.5.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6f9ff7cf96

Comment 11 Fedora Update System 2016-05-13 05:32:17 UTC
augeas-1.5.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d219bc220

Comment 12 Fedora Update System 2016-05-14 23:26:43 UTC
augeas-1.5.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-05-20 23:50:56 UTC
augeas-1.5.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.